## pcre2 10.22

=== debian/changelog ===
pcre2 (10.22-3+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2022-1586: Out-of-bounds read involving unicode property matching in
    JIT-compiled regular expressions. The issue occurs because the character
    was not fully read in case-less matching within JIT. (Closes: #1011954).
  * Subject buffer overread in JIT when UTF is disabled and \X or \R has a
    greater than 1 fixed quantifier.
  * Thanks for Guilhem for preparing the buster update, as this upload recycles
    many bits from their package!

 -- Tobias Frost <tobi@debian.org>  Sat, 18 Mar 2023 15:53:31 +0100

pcre2 (10.22-3) unstable; urgency=medium

  * CVE-2017-7186: invalid Unicode property lookup may cause denial of
    service (Closes: #858233)

 -- Matthew Vernon <matthew@debian.org>  Tue, 21 Mar 2017 22:33:58 +0000

pcre2 (10.22-2) unstable; urgency=low

  * re-upload with source :-(

 -- Matthew Vernon <matthew@debian.org>  Tue, 02 Aug 2016 19:27:58 +0100

pcre2 (10.22-1) unstable; urgency=low

  * New upstream release

 -- Matthew Vernon <matthew@debian.org>  Tue, 02 Aug 2016 18:59:19 +0100

pcre2 (10.21-1) unstable; urgency=low

  * New upstream version
  * Upstream patch to fix workspace overflow for (*ACCEPT) with deeply
    nested parentheses (Closes: #815920)

 -- Matthew Vernon <matthew@debian.org>  Sat, 27 Feb 2016 15:21:34 +0000

pcre2 (10.20-3) unstable; urgency=low

  * Enable JIT on ppc64 & ppc64el (Closes: #806388)

 -- Matthew Vernon <matthew@debian.org>  Fri, 27 Nov 2015 08:16:38 +0000

pcre2 (10.20-2) unstable; urgency=low

  * remove unnecessary -L settings (Closes: #805941)
  * Improve makefile syntax, and add JIT on arm64

 -- Matthew Vernon <matthew@debian.org>  Tue, 24 Nov 2015 20:39:15 +0000

pcre2 (10.20-1) unstable; urgency=low

  * Initial debian version (Closes: #805728)

 -- Matthew Vernon <matthew@debian.org>  Sun, 22 Nov 2015 15:58:38 +0000
