=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see dpkg-buildflags(1)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
# prefix names of functions in libpcreposix with PCRE2 to avoid clash with
# ones in libc.
export DEB_CFLAGS_MAINT_APPEND = -Dregcomp=PCRE2regcomp -Dregexec=PCRE2regexec -Dregerror=PCRE2regerror -Dregfree=PCRE2regfree


deb_maint_conf_args = --enable-pcre2-16 --enable-pcre2-32
#enable JIT only on architectures that support it (see pcre2jit.3)
ifneq ($(filter i386 amd64 armel armhf mips mipsel mips64el powerpc sparc arm64 ppc64 ppc64el, $(DEB_HOST_ARCH)),)
deb_maint_conf_args +=--enable-jit
else
deb_maint_conf_args +=--disable-jit
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(deb_maint_conf_args)

override_dh_strip:
	dh_strip --dbg-package=libpcre2-dbg
