## pcre2 10.32.1

=== debian/changelog ===
pcre2 (10.32.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 44d7cc3a9db5daf5ed16fd18b4b0463fcce50e7c']

 -- shuttle <shuttle@deepin.com>  Tue, 04 Aug 2020 09:45:25 +0000
