=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer:  Matthew Vernon <matthew@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Build-Depends: debhelper (>=9), dpkg-dev (>= 1.16.1~)
+Vcs-Git: https://salsa.debian.org/debian/pcre2.git
+Vcs-Browser: https://salsa.debian.org/debian/pcre2
+Homepage: https://pcre.org/
 
 Package: libpcre2-8-0
 Section: libs
@@ -19,6 +22,14 @@
  confusingly called pcre3 in Debian.
  .
  This package contains the 8 bit runtime library.
+
+Package: libpcre2-8-0-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: New Perl Compatible Regular Expression Library- 8 bit runtime files (udeb)
+ This package contains the 8 bit runtime library, for the Debian Installer.
 
 Package: libpcre2-16-0
 Section: libs
@@ -83,7 +94,6 @@
 
 Package: libpcre2-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends: libpcre2-8-0 (= ${binary:Version}), libpcre2-16-0 (= ${binary:Version}), libpcre2-32-0 (= ${binary:Version}), libpcre2-posix0 (= ${binary:Version}), ${misc:Depends}
