=== debian/rules ===
--- 
+++ 
@@ -11,19 +11,22 @@
 export DEB_CFLAGS_MAINT_APPEND = -Dregcomp=PCRE2regcomp -Dregexec=PCRE2regexec -Dregerror=PCRE2regerror -Dregfree=PCRE2regfree
 
 
-deb_maint_conf_args = --enable-pcre2-16 --enable-pcre2-32
+deb_maint_conf_args = --enable-pcre2-16 --enable-pcre2-32 --disable-pcre2grep-callout
 #enable JIT only on architectures that support it (see pcre2jit.3)
-ifneq ($(filter i386 amd64 armel armhf mips mipsel mips64el powerpc sparc arm64 ppc64 ppc64el, $(DEB_HOST_ARCH)),)
+ifneq ($(filter i386 amd64 armel armhf powerpc sparc arm64 ppc64 ppc64el, $(DEB_HOST_ARCH)),)
 deb_maint_conf_args +=--enable-jit
 else
 deb_maint_conf_args +=--disable-jit
 endif
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(deb_maint_conf_args)
 
+override_dh_makeshlibs:
+	dh_makeshlibs -V --add-udeb=libpcre2-8-0-udeb
+
 override_dh_strip:
 	dh_strip --dbg-package=libpcre2-dbg
