## pcre2 10.37

=== debian/changelog ===
pcre2 (10.37-0ubuntu2) impish; urgency=medium

  * Rename binary package libpcre2-posix2 -> libpcre2-posix3
  * Update libpcre2-posix3.symbols
  * Reinstate pcre2-config.in.diff as a quilt patch

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 25 Aug 2021 07:09:06 +0000

pcre2 (10.37-0ubuntu1) impish; urgency=medium

  * New upstream release (LP: #1931857)
  * Added debian/source/format to avoid an uupdate warning
  * Add s390x to the list of architectures that are build by default
    with --enable-jit

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 17 Aug 2021 17:37:18 +0200

pcre2 (10.36-2ubuntu5) hirsute; urgency=medium

  * No-change rebuild to build with lto.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Mar 2021 08:04:25 +0200

pcre2 (10.36-2ubuntu4) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 06:59:07 +0100

pcre2 (10.36-2ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:56 +0100

pcre2 (10.36-2ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:19:55 +0000

pcre2 (10.36-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build with -mshstk on amd64 and i386.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Feb 2021 11:38:43 +0100

pcre2 (10.36-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthew Vernon <matthew@debian.org>  Sun, 13 Dec 2020 16:23:03 +0000

pcre2 (10.36-1) experimental; urgency=medium

  * New upstream version
  * Fix watch file

 -- Matthew Vernon <matthew@debian.org>  Mon, 07 Dec 2020 12:35:19 +0000

pcre2 (10.35-2ubuntu1) hirsute; urgency=medium

  * Build with -mshstk on amd64 and i386.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Dec 2020 16:06:29 +0100

pcre2 (10.35-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthew Vernon <matthew@debian.org>  Fri, 04 Dec 2020 09:52:04 +0000

pcre2 (10.35-1) experimental; urgency=medium

  * New upstream version
  * Bump standards-version to 4.5.1

 -- Matthew Vernon <matthew@debian.org>  Fri, 27 Nov 2020 09:25:08 +0000

pcre2 (10.34-7) unstable; urgency=medium

  * Upstream patch to fix segfault in rspamd (Closes: #946221)

 -- Matthew Vernon <matthew@debian.org>  Sat, 07 Dec 2019 17:06:59 +0000

pcre2 (10.34-6) unstable; urgency=high

  * Replace: and Conflict: the previous libpcre2-posix0 package (which
    erroneously had the soname 2 library in) (Closes: #946279, #946290, #946311)
  * Can now make a source-only upload now libpcre2-posix2 has made it
    through NEW. We need that so we can migrate to testing (Closes: #946275)

 -- Matthew Vernon <matthew@debian.org>  Sat, 07 Dec 2019 14:34:25 +0000

pcre2 (10.34-5) unstable; urgency=medium

  * Sacrifice an integer so I can do a binary upload for the new
    libpcre2-posix package name :-(

 -- Matthew Vernon <matthew@debian.org>  Tue, 03 Dec 2019 21:14:29 +0000

pcre2 (10.34-4) unstable; urgency=high

  * Add symbols files (Closes: #945973)
  * Update libpcre2-posix name to match soname

 -- Matthew Vernon <matthew@debian.org>  Tue, 03 Dec 2019 19:20:54 +0000

pcre2 (10.34-3) unstable; urgency=medium

  * Remove -dbg package from debian/control as well

 -- Matthew Vernon <matthew@debian.org>  Mon, 02 Dec 2019 11:58:33 +0000

pcre2 (10.34-2) unstable; urgency=high

  * Try an upstream patch to fix an ARM bug (apropos 945972)
  * Remove -dbg in favour of -dbgsyms, thanks to Michael Biebl
    <biebl@debian.org> for the patch (Closes: #891624)

 -- Matthew Vernon <matthew@debian.org>  Mon, 02 Dec 2019 11:22:32 +0000

pcre2 (10.34-1) unstable; urgency=medium

  * New upstream release

 -- Matthew Vernon <matthew@debian.org>  Thu, 28 Nov 2019 16:28:31 +0000
