=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pcre2
 Section: libs
 Priority: optional
-Maintainer:  Matthew Vernon <matthew@debian.org>
-Standards-Version: 4.1.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer:  Matthew Vernon <matthew@debian.org>
+Standards-Version: 4.5.1
 Build-Depends: debhelper (>=9), dpkg-dev (>= 1.16.1~)
 Vcs-Git: https://salsa.debian.org/debian/pcre2.git
 Vcs-Browser: https://salsa.debian.org/debian/pcre2
@@ -61,12 +62,14 @@
  .
  This package contains the 32 bit runtime library.
 
-Package: libpcre2-posix0
+Package: libpcre2-posix3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libpcre2-posix0
+Conflicts: libpcre2-posix0
 Description: New Perl Compatible Regular Expression Library - posix-compatible runtime files
  This is PCRE2, the new implementation of PCRE, a library of functions
  to support regular expressions whose syntax and semantics are as
@@ -81,7 +84,7 @@
 Architecture: any
 Multi-Arch: same
 Conflicts: libpcre3-dev (<<2:8.35-8)
-Depends: libc6-dev, libpcre2-8-0 (= ${binary:Version}), libpcre2-16-0 (= ${binary:Version}), libpcre2-32-0 (= ${binary:Version}), libpcre2-posix0 (= ${binary:Version}), ${misc:Depends}
+Depends: libc6-dev, libpcre2-8-0 (= ${binary:Version}), libpcre2-16-0 (= ${binary:Version}), libpcre2-32-0 (= ${binary:Version}), libpcre2-posix3 (= ${binary:Version}), ${misc:Depends}
 Description: New Perl Compatible Regular Expression Library - development files
  This is PCRE2, the new implementation of PCRE, a library of functions
  to support regular expressions whose syntax and semantics are as
@@ -91,21 +94,6 @@
  .
  This package contains the development files, including headers,
  static libraries, and documentation.
-
-Package: libpcre2-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libpcre2-8-0 (= ${binary:Version}), libpcre2-16-0 (= ${binary:Version}), libpcre2-32-0 (= ${binary:Version}), libpcre2-posix0 (= ${binary:Version}), ${misc:Depends}
-Description: New Perl Compatible Regular Expression Library - debug symbols
- This is PCRE2, the new implementation of PCRE, a library of functions
- to support regular expressions whose syntax and semantics are as
- close as possible to those of the Perl 5 language. New projects
- should use this library in preference to the older library,
- confusingly called pcre3 in Debian.
- .
- This package contains the debug symbols.
-
 
 Package: pcre2-utils
 Section: utils
