=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,14 @@
 # prefix names of functions in libpcreposix with PCRE2 to avoid clash with
 # ones in libc.
 export DEB_CFLAGS_MAINT_APPEND = -Dregcomp=PCRE2regcomp -Dregexec=PCRE2regexec -Dregerror=PCRE2regerror -Dregfree=PCRE2regfree
+ifneq ($(filter i386 amd64, $(DEB_HOST_ARCH)),)
+  DEB_CFLAGS_MAINT_APPEND += -mshstk
+endif
 
 
 deb_maint_conf_args = --enable-pcre2-16 --enable-pcre2-32 --disable-pcre2grep-callout
 #enable JIT only on architectures that support it (see pcre2jit.3)
-ifneq ($(filter i386 amd64 armel armhf powerpc sparc arm64 ppc64 ppc64el, $(DEB_HOST_ARCH)),)
+ifneq ($(filter i386 amd64 armel armhf powerpc sparc arm64 ppc64 ppc64el s390x, $(DEB_HOST_ARCH)),)
 deb_maint_conf_args +=--enable-jit
 else
 deb_maint_conf_args +=--disable-jit
@@ -29,4 +32,4 @@
 	dh_makeshlibs -V --add-udeb=libpcre2-8-0-udeb
 
 override_dh_strip:
-	dh_strip --dbg-package=libpcre2-dbg
+	dh_strip --dbgsym-migration='libpcre2-dbg (<< 10.34-2~)'
