=== debian/watch ===
version=3
https://ftp.pcre.org/pub/pcre/pcre2-([\d\.]+)\.zip
